Subject: RE: [bmwg] latency - incorrect interprtation?

From: "Perser, Jerry" <[email-masked]>
Date: Mon, 7 Apr 2003 17:36:37 -0700

Sunil,

RFC2544 is an update to RFC1944 that was written before the RFC2119
requirements.

Could this be a sentence that Scott and Jim missed?  I would like to hear
from then either (preferably both) of them on this subject.

Does the absence of RFC2119 reference to section "23. Trial description"
mean that we are free to redefine each and any of the five phases?  Is phase
C optional?  It doesn't say "MUST".

Jerry.

> -----Original Message-----
> From: sunil kalidindi [mailto:[email-masked]]
> Sent: Monday, March 24, 2003 11:27 PM
> To: [email-masked]
> Subject: [bmwg] latency - incorrect interprtation?
> 
> 
> I've been reviewing some current drafts in the BMWG
> and noticed that the drafts seem to assume that
> "latency" is only measured at throughput.
> 
> That is a little surprising because my understanding,
> and certainly several others I talked to as well, is
> that latency can be measured at different offered
> loads. There are several valid reasons why you want to
> measure it at various loads.
> 
> I reviewed RFC 1242 & 2544 and found that:
> 
> - the definition if 1242 DOES NOT define latency as
> JUST at throughput.
> 
> - while the procedure for measuring latency in 2544,
> describes the latency measurement at throughput, it
> certainly doesn't say it is a "MUST". 
> 
> I interpret these to mean the the definition of
> "latency" does not limit to measurement at throughput.
> 
> Any comments?
> 
> Thanks,
> - Sunil
> 
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Platinum - Watch CBS' NCAA March Madness, live on your desktop!
> http://platinum.yahoo.com
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg
> 
_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

---

From: "Perser, Jerry" <[email-masked]>
Date: Mon, 7 Apr 2003 17:36:37 -0700

Sunil,

Jerry.

---

From: Sunil Kalidindi <[email-masked]>
Date: Tue, 8 Apr 2003 10:03:12 -0700

Jerry,

Certainly, the common interpretation is that "latency" is NOT limited to
measurement at throughput. So yes, it would be useful to get feedback from
them and others on the reflector.

Regards,
- Sunil

-----Original Message-----
From: Perser, Jerry [mailto:[email-masked]]
Sent: Monday, April 07, 2003 5:37 PM
To: 'sunil kalidindi'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Sunil,

Jerry.

---

From: Sunil Kalidindi <[email-masked]>
Date: Tue, 8 Apr 2003 10:03:12 -0700

Jerry,

Regards,
- Sunil

-----Original Message-----
From: Perser, Jerry [mailto:[email-masked]]
Sent: Monday, April 07, 2003 5:37 PM
To: 'sunil kalidindi'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Sunil,

Jerry.

---

From: Jim McQuaid <[email-masked]>
Date: Tue, 8 Apr 2003 13:26:50 -0400

The definition in 1242 is the base definition and IT is free of any context
of device load.

The method for measuring latency in 1944/2544 adds the further condition
that it is only interesting for benchmarking to measure latency under the
condition of sustained load i.e. throughput.
	This condition under which to measure latency is specific to the
methodology and scope of benchmarking network devices, which in the time
frame of 2544 meant routers primarily and switches to a limited extent.

So, the definition of latency should be applicable to other benchmarking
methods and devices/systems with different/alternate assumptions about what
is the interesting condition under which to measure latency.

cheers,

Jim McQuaid

NetIQ Raleigh

-----Original Message-----
From: Sunil Kalidindi [mailto:[email-masked]]
Sent: Tuesday, April 08, 2003 1:03 PM
To: 'Perser, Jerry'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Jerry,

Regards,
- Sunil

-----Original Message-----
From: Perser, Jerry [mailto:[email-masked]]
Sent: Monday, April 07, 2003 5:37 PM
To: 'sunil kalidindi'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Sunil,

Jerry.

---

From: Jim McQuaid <[email-masked]>
Date: Tue, 8 Apr 2003 13:26:50 -0400

cheers,

Jim McQuaid

NetIQ Raleigh

-----Original Message-----
From: Sunil Kalidindi [mailto:[email-masked]]
Sent: Tuesday, April 08, 2003 1:03 PM
To: 'Perser, Jerry'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Jerry,

Regards,
- Sunil

-----Original Message-----
From: Perser, Jerry [mailto:[email-masked]]
Sent: Monday, April 07, 2003 5:37 PM
To: 'sunil kalidindi'; [email-masked]
Subject: RE: [bmwg] latency - incorrect interprtation?

Sunil,

Jerry.